#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commander = void 0;
const commander_1 = __importDefault(require("commander"));
exports.commander = commander_1.default;
const _1 = require("./");
commander_1.default.option("-s --stage [stage]", "Stage for the stack we are examining (default from monorepo root)");
commander_1.default.option("-r --region [region]", "Region for the stack (default us-east-1)");
commander_1.default.parse(process.argv);
const { region, stage, appSyncPath } = commander_1.default;
if (!commander_1.default.isDocumenting)
    (async () => {
        try {
            _1.writeConfig(await _1.getConfig({ region, stage, appsyncPath: appSyncPath }));
        }
        catch (e) {
            console.error("Could not generate appsync config:", e);
        }
    })();
//# sourceMappingURL=bin.js.map