"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeConfig = exports.getConfig = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
const serverless_resources_1 = require("@raydeck/serverless-resources");
const serverless_stage_1 = require("@raydeck/serverless-stage");
const serverless_base_1 = require("@raydeck/serverless-base");
async function getConfig(_a) {
    var _b;
    var { region = serverless_stage_1.findRegion() || process.env.AWS_REGION || "us-east-1", stage = (_b = serverless_stage_1.findStage()) !== null && _b !== void 0 ? _b : "dev", path = process.cwd(), appsyncPath, } = _a;
    if (!appsyncPath) {
        const { appsync } = serverless_base_1.getServerlessConfig(path);
        appsyncPath = appsync;
    }
    if (!appsyncPath)
        throw "Cannot proceed without a valid path to appsync in package.json or passed in arguments ";
    const r = await serverless_resources_1.getResources({ region, stage, path: appsyncPath });
    const api = await serverless_resources_1.getAppSync(r, { region, stage });
    if (!api)
        throw new Error("Could not get graphql api");
    return {
        graphqlEndpoint: api.uris["GRAPHQL"],
        region,
        authenticationType: api.authenticationType,
    };
}
exports.getConfig = getConfig;
function writeConfig(config, path = path_1.join(process.cwd(), "config")) {
    if (!fs_1.existsSync(path))
        fs_1.mkdirSync(path);
    const fullPath = path_1.join(path, "appsync.json");
    fs_1.writeFileSync(fullPath, JSON.stringify(config, null, 2));
}
exports.writeConfig = writeConfig;
//# sourceMappingURL=index.js.map